diff a/test/lib/jdk/test/lib/cds/CDSOptions.java b/test/lib/jdk/test/lib/cds/CDSOptions.java
--- a/test/lib/jdk/test/lib/cds/CDSOptions.java
+++ b/test/lib/jdk/test/lib/cds/CDSOptions.java
@@ -30,10 +30,11 @@
     public String xShareMode = "on";
     public String archiveName;
     public ArrayList<String> prefix = new ArrayList<String>();
     public ArrayList<String> suffix = new ArrayList<String>();
     public boolean useSystemArchive = false;
+    public boolean benchmarkMode = false;
     public String appJar;
     public String appJarDir;
 
     // classes to be archived
     public String[] classList;
@@ -94,10 +95,15 @@
     public CDSOptions setUseSystemArchive(boolean use) {
         this.useSystemArchive = use;
         return this;
     }
 
+    public CDSOptions setBenchmarkMode(boolean mode) {
+        this.benchmarkMode = mode;
+        return this;
+    }
+
     public CDSOptions setClassList(String[] list) {
         this.classList = list;
         return this;
     }
     public CDSOptions setClassList(ArrayList<String> list) {
